is_partitioned.hpp File Reference

## Functions

template<typename I , typename S , typename C , typename P = identity>
auto | ranges::is_partitioned (I first, S last, C pred, P proj=P{}) -> bool requires input_iterator< I > &&sentinel_for< S, I > &&indirect_unary_predicate< C, projected< I, P >>
| function template `is_partitioned`
template<typename Rng , typename C , typename P = identity>
auto | ranges::is_partitioned (Rng &&rng, C pred, P proj=P{}) -> bool requires input_range< Rng > &&indirect_unary_predicate< C, projected< iterator_t< Rng >, P >>